#! /usr/bin/tcsh -f
#
# make_tables.csh: make JMKmod effective area tables from Diab's
# raytrace table.
# $Id: make_tables.csh,v 1.2 1998/04/20 17:00:57 dj Exp dj $

set tmp = tmp-$$.rdb

rm -f $tmp

set pfx = xrcf_SAO1G+HDOS_HDOS-scat-970220_03
set dir = `pwd`
set ea = /proj/axaf/simul/databases/effective_area/$pfx.rdb

row el eq 0 and az eq 0 and ap eq 999 \
  < $ea \
  | sorttbl energy \
  | compute energy \*= 1000.0 \
  | tee $tmp \
  | column energy -c 1_ea trans \
  >! $pfx-0001.rdb

cat $tmp \
  | column energy -c 3_ea trans \
  >! $pfx-0003.rdb

cat $tmp \
  | column energy -c 4_ea trans \
  >! $pfx-0004.rdb

cat $tmp \
  | column energy -c 6_ea trans \
  >! $pfx-0006.rdb

cat $tmp \
  | column energy -c hrma_ea trans \
  >! $pfx-1346.rdb

cat $tmp \
  | compute 1_ea += 3_ea \
  | column energy -c 1_ea trans \
  >! $pfx-0013.rdb

cat $tmp \
  | compute 4_ea += 6_ea \
  | column energy -c 4_ea trans \
  >! $pfx-0046.rdb

rm -f $tmp

cat > $pfx-idx.rdb <<EOF
index	path	comment
N	S	S
EOF

echo "1	$dir/$pfx-0001.rdb	Shell 1, on axis, $pfx" >> $pfx-idx.rdb
echo "3	$dir/$pfx-0003.rdb	Shell 3, on axis, $pfx" >> $pfx-idx.rdb
echo "4	$dir/$pfx-0004.rdb	Shell 4, on axis, $pfx" >> $pfx-idx.rdb
echo "6	$dir/$pfx-0006.rdb	Shell 6, on axis, $pfx" >> $pfx-idx.rdb
echo "1346	$dir/$pfx-1346.rdb	HRMA, on axis, $pfx" >> $pfx-idx.rdb
echo "13	$dir/$pfx-0013.rdb	Shells 1+3, on axis, $pfx" >> $pfx-idx.rdb
echo "46	$dir/$pfx-0046.rdb	Shell 4+6, on axis, $pfx" >> $pfx-idx.rdb
